Bug 2043706 - New OS created due to facts mismatch for operatingsystem for RHSM, Puppet and Ansible
Summary: New OS created due to facts mismatch for operatingsystem for RHSM, Puppet and...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.10.3
Assignee: Marek Hulan
QA Contact: Ondrej Gajdusek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-21 19:54 UTC by Brad Buckingham
Modified: 2022-03-08 21:26 UTC (History)
14 users (show)

Fixed In Version: tfm-rubygem-foreman_ansible-6.3.4.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2025437
Environment:
Last Closed: 2022-03-08 21:26:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33980 0 Normal Closed New OS created due to facts mismatch for operatingsystem for RHSM, Puppet and Ansible 2022-02-01 11:41:28 UTC
Red Hat Product Errata RHSA-2022:0790 0 None None None 2022-03-08 21:26:23 UTC

Comment 3 Ondrej Gajdusek 2022-02-21 14:25:39 UTC
VERIFIED
@Satellite 6.10.3 snap 1
tfm-rubygem-foreman_ansible-6.3.4.1-1.el7sat.noarch

I observed the described issue on Satellite 6.10.2 with tfm-rubygem-foreman_ansible-6.3.4-1.el7sat.noarch installed.

First I was unable to reproduce it, but later on, I found out that redhat-lsb-core package needs to be installed on the host in order to get the ansible_lsb fact non-empty.

Having the following system
$ lsb_release -a
LSB Version:	:core-4.1-amd64:core-4.1-noarch
Distributor ID:	RedHatEnterpriseServer
Description:	Red Hat Enterprise Linux Server release 7.9 (Maipo)
Release:	7.9
Codename:	Maipo

and running Ansible roles on it caused "Red Hat Enterprise Linux Server release 7.9 (Maipo)" OS to be created.

Similar thing happens for RHEL 8.
$ lsb_release -a
LSB Version:	:core-4.1-amd64:core-4.1-noarch
Distributor ID:	RedHatEnterprise
Description:	Red Hat Enterprise Linux release 8.5 (Ootpa)
Release:	8.5
Codename:	Ootpa

creates "Red Hat Enterprise Linux release 8.5 (Ootpa)" OS.

This behavior is no longer observed on Satellite 6.10.3.

Additional info:
BZ2056582 was created to track the same behavior on different OS variants.

Comment 8 errata-xmlrpc 2022-03-08 21:26:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Low: Satellite 6.10.3 Async Bug Fix Update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0790


Note You need to log in before you can comment on or make changes to this bug.